

console.log('machinaryjs')

$(document).ready(function () {

    $('#myTable').DataTable({
        responsive: true,
        "order": [],
        "columns": [
            { "data": "thmachinery_no" },
            { "data": "thName" },
            //   { "data": "thSiteId" },
            { "data": "thSiteName" },
            { "data": "edit" },
            { "data": "view" },
            { "data": "delete" },
            { "data": "Status" }

        ],
    });

    loadData();
    loadSiteId();




});
//show the model
$('#btnMachinerymodal').on('click', function () {
    $('#Machinary_name').val('');
    $('#machinery_no').val('');
    $('#description').val('');
    $('#btnSaveMachinary').text('Save')
    $('#btnSaveMachinary').show();
    $('#machinarymodal').modal('show');

    // loadSiteId();
});
$('#btnSaveMachinary').on('click', function () {
    if ($('#btnSaveMachinary').text() == 'update') {
        var form = $('#machinaryfrm').get(0);
        var data = new FormData(form);
        if (isRequiredInputsUpdate().isRequired) {
            update();
        }
    } else {

        var form = $('#machinaryfrm').get(0);
        var data = new FormData(form);
        if (isRequiredInputsSave().isRequired) {
            save(data);
        }
    }


});

//load site id to the modal
function loadSiteId() {
    $.ajax({
        type: 'GET',
        url: '/pp/machinery/loadSiteId',
        success: function (response) {
            console.log(response);
            var html = "";
            //   console.log(response.data.result);
            $.each(response.data.result, function (index, value) {
                html += '<option value="' + value.site_id + '" > ' + value.site + ' </option>';
            });
            $('#SiteIdDropDown').html(html);
        }, error: function (data) {
            // console.log('something went wrong');
        }
    });
}
function save(data) {

    // console.log(name);

    var request = $.ajax({
        url: "/pp/machinery/save",
        headers: { 'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content') },
        type: "POST",
        enctype: 'multipart/form-data',
        data: data,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        success: function (data) {

            console.log(data);

            if (data.data.success) {
                showSuccessMessage("Data has been enabled successfully...");
                $('#machinarymodal').modal('hide');
                loadData()

            }


        },
        error: function (data) {
            console.log(data);
        },

    });
}
function update(data) {

    console.log(data);

    var id = $('#machineryId').val();
    var Machinary_name = $('#Machinary_name').val();
    var Site_id = $('#SiteIdDropDown').val();
    var machinery_no = $('#machinery_no').val();
    var description = $('#description').val();

    console.log(Site_id);

    var request = $.ajax({
        url: "/pp/machinery/update/" + id,
        headers: { 'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content') },
        type: "post",
        enctype: 'multipart/form-data',
        data: { "Machinary_name": Machinary_name, "Site_id": Site_id, 'machinery_no': machinery_no, 'description': description },
        // processData: false,
        // contentType: false,
        cache: false,
        timeout: 800000,
        success: function (data) {

            console.log(data);

            if (data.data.success) {
                showSuccessMessage("Data has been saved successfully...");
                $('#machinarymodal').modal('hide');
                loadData()

            }


        },
        error: function (data) {
            console.log(data);
        },

    });
}
function loadData() {
    $.ajax({
        type: 'GET',
        url: '/pp/machinery/load',
        success: function (response) {
            console.log(response)
            if (response.data.success) {
                var disable = { 0: "", 1: "checked" };

                var data = [];
                for (i = 0; i < response.data.result.length; i++) {
                    var name = response.data.result[i]['machinery_name'];
                    var id = response.data.result[i]['machinery_id'];
                    var machinery_no = response.data.result[i]['machinery_no'];

                    var SiteId = response.data.result[i]['site_id'];
                    var SiteName = response.data.result[i]['site'];

                    var status = response.data.result[i]['status'];
                    data.push({
                        "thmachinery_no": machinery_no,
                        "thName": name,
                        "thSiteName": SiteName,
                        "edit": '<button class="btn btn-primary" onclick="edit(' + id + ')"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></button>',
                        "view": '<button class="btn btn-success" onclick="view(' + id + ')"><i class="fa fa-eye" aria-hidden="true"></i></button>',
                        "delete": '<button class="btn btn-danger" onclick="_delete(' + id + ')"><i class="fa fa-trash" aria-hidden="true"></i></button>',
                        "Status": '<label class="switch"><input type="checkbox" onchange="disable(event,' + id + ')"  id="' + response.data.result[i].machinery_id + '"  ' + disable[response.data.result[i].status] + '><span class="slider round"></span></label>',


                    });
                }



                var table = $('#myTable').DataTable();
                table.clear();
                table.rows.add(data).draw();
            }
        }, error: function (data) {
            // console.log('something went wrong');
        }
    });
}
function edit(id) {
    $.ajax({
        type: 'GET',
        url: '/pp/machinery/edit/' + id,
        success: function (response) {

            console.log(response.data.result);

            $('#machinarymodal').modal('show');
            $('#Machinary_name').val(response.data.result.machinery_name);
            $('#machineryId').val(response.data.result.machinery_id)
            $('#machinery_no').val(response.data.result.machinery_no)
            $('#description').val(response.data.result.description)

            $('#btnSaveMachinary').show();
            $('#btnSaveMachinary').text('update')

            $('#SiteIdDropDown').val(response.data.result.site_id);



        }, error: function (data) {
            // console.log('something went wrong');
        }
    });
}
function view(id) {
    $.ajax({
        type: 'GET',
        url: '/pp/machinery/edit/' + id,
        success: function (response) {

            console.log(response.data.result);

            $('#machinarymodal').modal('show');
            $('#Machinary_name').val(response.data.result.machinery_name);
            $('#machineryId').val(response.data.result.machinery_id)
            $('#machinery_no').val(response.data.result.machinery_no)
            $('#description').val(response.data.result.description)

            $('#btnSaveMachinary').hide();

            $('#SiteIdDropDown').val(response.data.result.site_id);



        }, error: function (data) {
            // console.log('something went wrong');
        }
    });
}
function _delete(id) {
    $.ajax({
        type: 'DELETE',
        headers: { 'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content') },
        url: '/pp/machinery/delete/' + id,
        success: function (response) {
            console.log(response);
            loadData()
        }, error: function (data) {
            // console.log('something went wrong');
        }
    });
}
function disable(event) {
    var id = event.target.id;
    var status = event.target.checked;

    var bool = 0;
    if (status) bool = 1;

    $.ajax({
        type: 'POST',
        url: '/pp/machinery/Disable/' + id,
        headers: { 'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content') },
        data: { "status": bool },
        success: function (response) {
            console.log(response.data.result);
            if (response.data.result == 1) {
                toastr.success('Data Activated');
            } else {
                toastr.error('Data Deactivated');
            }
        }, error: function () {
            console.log('something went wrong');
        }
    });
}
function showSuccessMessage(message) {

    toastr.success(message);
}
